Update debian-install.sh

pull/188/head
tteckster 2022-04-23 12:13:52 -04:00 committed by GitHub
parent 63b32f29a1
commit cdb8b736fb
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 8 additions and 1 deletions

View File

@ -33,13 +33,20 @@ while [ "$(hostname -I)" = "" ]; do
((NUM--)) ((NUM--))
if [ $NUM -eq 0 ] if [ $NUM -eq 0 ]
then then
1>&2 echo -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}" 1>&2 echo -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}"
exit 1 exit 1
fi fi
done done
msg_ok "Set up Container OS" msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)" msg_ok "Network Connected: ${BL}$(hostname -I)"
wget -q --tries=10 --timeout=5 --spider http://google.com
if [[ $? -eq 0 ]]; then
msg_ok "Internet Online"
else
echo -e "{CROSS}${RD} Internet Offline"
fi
msg_info "Updating Container OS" msg_info "Updating Container OS"
apt update &>/dev/null apt update &>/dev/null
apt-get -qqy upgrade &>/dev/null apt-get -qqy upgrade &>/dev/null